> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Driver License

> Validate Australian driver's license information with transport authorities.



## OpenAPI

````yaml api-reference/openapi.json POST /api/v3/verifications/australia/driver-license
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        description: IDmeta environment subdomain
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Trust Flow Links
    description: Trust Flow link generation endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
  - name: Alternative Verifications
    description: Alternative verification and intelligence endpoints
  - name: OCR
    description: Document OCR extraction endpoints
paths:
  /api/v3/verifications/australia/driver-license:
    post:
      tags:
        - Government Data
      summary: AU Driver License
      description: >-
        Validate Australian driver's license information with transport
        authorities.
      operationId: auDriverLicenseVerificationV3
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuDriverLicenseRequest'
            examples:
              default:
                summary: AU driver license verification request
                value:
                  card_number: ''
                  dob: ''
                  family_name: ''
                  given_name: ''
                  licence_number: ''
                  middle_name: ''
                  state_of_issue: ''
                  trustFlowId: 0
                  trustValidationId: '{your_trust_validation_id}'
      responses:
        '200':
          description: AU driver license verification processed successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuDriverLicenseV3Response'
              example:
                success: true
                message: Australia Driver License processed successfully
                data:
                  isValid: true
                verificationStatus: VERIFIED
                verificationStatusCode: 3
                trustFlowId: 0
                trustValidationId: '{your_trust_validation_id}'
                verificationType: australia_driver_license
                metadata:
                  user_id: '12345'
                  reference: DL-VERIFY-001
components:
  schemas:
    AuDriverLicenseRequest:
      type: object
      required:
        - card_number
        - dob
        - family_name
        - given_name
        - licence_number
        - state_of_issue
        - trustFlowId
        - trustValidationId
      properties:
        card_number:
          type: string
          description: Card number printed on the driver's licence.
        dob:
          type: string
          description: Date of birth of the individual in `YYYY-MM-DD` format.
        family_name:
          type: string
          description: Last name of the individual.
        given_name:
          type: string
          description: First name of the individual.
        licence_number:
          type: string
          description: Driver's licence number.
        middle_name:
          type: string
          description: Middle name of the individual.
        state_of_issue:
          type: string
          description: Australian state where the card/license was issued.
        trustFlowId:
          type: integer
          description: >-
            Identifier used to categorize or group requests for tracking or
            reporting.
        trustValidationId:
          type: string
          description: A unique ID used to identify your verification request.
    AuDriverLicenseV3Response:
      type: object
      required:
        - success
        - message
        - data
        - verificationStatus
        - verificationStatusCode
        - trustFlowId
        - trustValidationId
        - verificationType
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            isValid:
              type: boolean
            errors:
              type: array
              items:
                type: object
                properties:
                  Field:
                    type: string
                  Message:
                    type: string
                  Source:
                    type: string
                additionalProperties: true
        verificationStatus:
          type: string
        verificationStatusCode:
          type: integer
        trustFlowId:
          type: integer
          description: Trust flow identifier.
        trustValidationId:
          type: string
        verificationType:
          type: string
        metadata:
          type: object
          nullable: true
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````